package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.annotation.RepeatSubmit;
import com.usky.dxtop.common.constant.UserConstants;
import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.controller.BaseController;
import com.usky.dxtop.model.Company;
import com.usky.dxtop.service.CompanyService;
import com.usky.dxtop.service.SysFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author yq
 * @since 2021-09-29
 */
@RestController
@RequestMapping("/dxtop/company")
public class CompanyController extends BaseController {


    @Autowired
    private CompanyService companyService;
    @Autowired
    private SysFileService sysFileService;
    /**
     * 新增
     * @param company
     * @return
     */
    @RepeatSubmit
    @PostMapping
    public AjaxResult add(@RequestBody Company company){
        if (UserConstants.NOT_UNIQUE.equals(companyService.checkNameUnique(company)))
        {
            return AjaxResult.error("新增产品信息'" + company.getName() + "'失败，产品信息已存在");
        }
        return toAjax(companyService.add(company));

    }

    /**
     * 修改
     */
    @PutMapping
    public AjaxResult edit(@RequestBody Company company)
    {
        return AjaxResult.success(companyService.update(company));
    }

    /**
     * 分页
     * @param
     * @return
     */
    @GetMapping("/list")
    public AjaxResult list(@RequestParam Integer current,
                           @RequestParam Integer size,
                           @RequestParam(required = false) String name)
    {
        return AjaxResult.success(companyService.list(current, size, name));
    }


    /**
     * 删除
     */
    @DeleteMapping("/{id}")
    public AjaxResult remove(@PathVariable("id") Long id)
    {
        return toAjax(companyService.remove(id));
    }
}

