package com.usky.dxtop.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.usky.dxtop.mapper.MsgLogMapper;
import com.usky.dxtop.model.MsgLog;
import com.usky.dxtop.service.MsgLogService;
import com.usky.dxtop.service.emun.MsgLogStatus;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.connection.CorrelationData;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author yq
 * @since 2021-10-13
 */
@Slf4j
@Service
public class MsgLogServiceImpl extends ServiceImpl<MsgLogMapper, MsgLog> implements MsgLogService {

    @Override
    public Boolean isRepetition(MsgLog msgLog) {
        return !(null == msgLog || msgLog.getMsgFlag().equals(MsgLogStatus.CONSUMER_SUCCESS.getCode()));
    }

    @Override
    public void consumerSuccess(Long id) {
        MsgLog msgLog = this.getById(id);
        if (this.isRepetition(msgLog)){
            msgLog.setMsgFlag(MsgLogStatus.CONSUMER_SUCCESS.getCode());
            this.updateById(msgLog);
        }
    }

}
