package com.usky.dxtop.service.job;

import com.usky.dxtop.model.SysFile;
import com.usky.dxtop.service.SysFileService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/10/9 13:34
 */
@Component
@Slf4j
public class FileJob {
    @Autowired
    private SysFileService fileService;

    @Scheduled(cron = "0 0 0 */1 * ?")
    public void deleteInvalidFile() {
        List<SysFile> sysFileList = fileService.getFileByExpireAt(new Date());
        if (CollectionUtils.isEmpty(sysFileList)) {
            return;
        }
        Integer integer = fileService.clearFiles(sysFileList);
        log.info("删除的file条数=:" + integer);
    }
}
